sensor:
  - platform: template
    sensors:
      luminosidad_general:
        friendly_name: 'Luminosidad General'
        value_template: "
          {% if is_state('sensor.luminosidad_cocina_zigbee', 'unavailable') -%}
           {{states('sensor.luminosidad_salon_entrada') | float}}
          {%- else -%}
            {% if is_state('sensor.luminosidad_salon_entrada', 'unavailable') -%}
              {{states('sensor.luminosidad_cocina_zigbee' | float)}}
            {%- else -%}
              {{(states('sensor.luminosidad_cocina_zigbee') | float /2 + 
                states('sensor.luminosidad_salon_entrada')| float /2) | round(0)}}
            {%- endif %}
          {%- endif -%}"
        unit_of_measurement:  lx
